package depart.commun;

import ca.ntro.app.common.ServerRegistrar;
import ca.ntro.app.messages.MessageRegistrar;
import ca.ntro.app.models.ModelRegistrar;
import depart.commun.messages.MsgA;
import depart.commun.modeles.ModeleA;
import depart.commun.valeurs.ValeurA;

public class DeclarationsDepart {

	public static void declarerModeles(ModelRegistrar registrar) {
		registrar.registerModel(ModeleA.class);
		registrar.registerValue(ValeurA.class);
	}

	public static void declarerMessages(MessageRegistrar registrar) {
		registrar.registerMessage(MsgA.class);
	}

	public static void declarerServeur(ServerRegistrar registrar) {
		registrar.registerName("localhost");
		registrar.registerPort(8888);
	}

}
